package com.bwie.auth.controller;

import com.bwie.auth.service.AuthService;
import com.bwie.common.domain.request.UserLoginReq;
import com.bwie.common.domain.response.JwtResponse;
import com.bwie.common.domain.response.UserLoginResp;
import com.bwie.common.result.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;

@RestController
@RequestMapping("auth")
public class AuthController {
    @Autowired
    private AuthService authService;

    /**
     * 发送验证码
     * @param req
     * @return
     */
    @PostMapping("getCode")
    public Result<String> getCode(@RequestBody  UserLoginReq req){
        authService.getCode(req);
        return Result.success(null,"发送成功");
    }

    /**
     * 登录
     * @param req
     * @return
     */
    @PostMapping("login")
    public Result<JwtResponse> login(@RequestBody  UserLoginReq req){
        JwtResponse jwtResponse = authService.login(req);
        return Result.success(jwtResponse,"登录成功");
    }

    /**
     * 获取redis中的值
     * @param req
     * @return
     */
    @GetMapping("info")
    public Result<UserLoginResp> info(HttpServletRequest req){
        UserLoginResp info = authService.info(req);
        return Result.success(info);
    }

}
