package com.bwie.controller;

import com.bwie.common.domain.request.CandidateAddReq;
import com.bwie.common.domain.response.CandidateResp;
import com.bwie.common.result.Result;
import com.bwie.service.CandidateService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("candidate")
public class CandidateController {
    @Autowired
    private CandidateService candidateService;

    /**
     * 添加候选表
     * @param req
     * @return
     */
    @PostMapping("addCandidate")
    public Result addCandidate(@RequestBody CandidateAddReq req){
        int i = candidateService.addCandidate(req);
        return i>0?Result.success(null,"投递成功"):Result.error("投递失败");
    }

    /**
     * 列表
     * @return
     */
    @PostMapping("findList")
    public Result findList(){
        List<CandidateResp> list = candidateService.findList();
        return Result.success(list);
    }

    /**
     * 审核
     * @param id
     * @param status
     * @param userTel
     * @return
     */
    @PostMapping("examine")
    public Result examine(@RequestParam Integer id ,@RequestParam Integer status,@RequestParam String userTel){
        int examine = candidateService.examine(id, status,userTel);
        return examine>0?Result.success(null,"成功"): Result.error("失败");
    }
}
