package com.bwie.controller;

import com.bwie.common.domain.response.DictionaryResp;
import com.bwie.common.result.Result;
import com.bwie.service.DictionaryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("dictionary")
public class DictionaryController {
    @Autowired
    private DictionaryService dictionaryService;

    /**
     * 通过类型查字典表
     * @param dictionaryType
     * @return
     */
    @PostMapping("findByType/{dictionaryType}")
    public Result<List<DictionaryResp>> findByType(@PathVariable String dictionaryType){
        return Result.success(dictionaryService.findByType(dictionaryType));
    }

}
