package com.bwie.service.impl;

import com.alibaba.fastjson.JSON;
import com.bwie.common.domain.Dictionary;
import com.bwie.common.domain.response.DictionaryResp;
import com.bwie.mapper.DictionaryMapper;
import com.bwie.service.DictionaryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.StringRedisTemplate;
import org.springframework.data.redis.core.ValueOperations;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class DictionaryServiceImpl implements DictionaryService {
    @Autowired
    private DictionaryMapper dictionaryMapper;

    @Autowired
    private StringRedisTemplate redisTemplate;
    @Override
    public List<DictionaryResp> findByType(String dictionaryType) {
        Boolean b = redisTemplate.hasKey("dictionary:" + dictionaryType);
        ValueOperations<String, String> ops = redisTemplate.opsForValue();
        if (b){
            String s = ops.get("dictionary:" + dictionaryType);
            List<DictionaryResp> dictionaryResps = JSON.parseArray(s, DictionaryResp.class);
            return dictionaryResps;
        }else {
            List<DictionaryResp> byType = dictionaryMapper.findByType(dictionaryType);
            ops.set("dictionary:"+dictionaryType, JSON.toJSONString(byType));
            return byType;
        }
    }

    @Override
    public Dictionary findById(Integer firmId) {
        return dictionaryMapper.findById(firmId);
    }
}
