package com.bwie.service.impl;

import com.alibaba.fastjson.JSON;
import com.bwie.common.domain.Dictionary;
import com.bwie.common.domain.Recruitment;
import com.bwie.common.domain.request.RecruitmentListReq;
import com.bwie.common.domain.response.DictionaryResp;
import com.bwie.common.domain.response.RecruitmentListResp;
import com.bwie.common.enums.DictionaryEnum;
import com.bwie.mapper.RecruitmentMapper;
import com.bwie.service.DictionaryService;
import com.bwie.service.RecruitmentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.StringRedisTemplate;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;

import javax.annotation.Resource;
import java.util.List;

@Service
public class RecruitmentServiceImpl implements RecruitmentService {
    @Resource
    private RecruitmentMapper recruitmentMapper;

    @Autowired
    private DictionaryService dictionaryService;
    @Autowired
    private StringRedisTemplate redisTemplate;
    @Override
    public List<RecruitmentListResp> findList(RecruitmentListReq req) {
        return recruitmentMapper.findList(req);
    }

    @Override
    public void scheduledUpdStatus() {
        List<Recruitment> recruitments = recruitmentMapper.selectTimeGtTen();
        if (!CollectionUtils.isEmpty(recruitments)){
            recruitmentMapper.updStatus(recruitments);
            for (Recruitment recruitment : recruitments) {
                int count = recruitmentMapper.count(recruitment.getFirmId());
                if (count==0){
                    Dictionary dictionary = dictionaryService.findById(recruitment.getFirmId());
                    redisTemplate.opsForValue().set("firm"+recruitment.getFirmId(), JSON.toJSONString(dictionary));
                }
            }
        }

    }

    @Override
    public List<RecruitmentListResp> latest() {
        return recruitmentMapper.latest();
    }

    @Override
    public void updNumber(Integer recruitmentId) {
        recruitmentMapper.updNumber(recruitmentId);
    }

}
